## com.thingmagic
Class Gen2.Alien

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Gen2.Gen2CustomTagOp
              com.thingmagic.Gen2.Alien

Direct Known Subclasses:
  Gen2.Alien.Higgs2, Gen2.Alien.Higgs3

Enclosing class:
  Gen2

    public static class Gen2.Alien

extends Gen2.Gen2CustomTagOp

Nested Class Summary
`static class` `Gen2.Alien.Higgs2`
`static class` `Gen2.Alien.Higgs3`

Field Summary

Fields inherited from class com.thingmagic.Gen2.Gen2CustomTagOp
`chipType`

Constructor Summary
`Gen2.Alien()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Gen2.Alien

    public Gen2.Alien()